package abc.ar.visit;

import polyglot.ast.Node;
import polyglot.frontend.Job;
import polyglot.types.SemanticException;
import polyglot.types.TypeSystem;
import polyglot.visit.ContextVisitor;
import abc.ar.ast.ARNodeFactory;
import abc.aspectj.ast.AspectDecl;
import abc.main.Debug;

/**
 * debug visitor only
 * 
 * @author Christian Kaestner and Sven Apel
 */
public class PrintAspectsVisitor extends ContextVisitor {

	public PrintAspectsVisitor(Job job, TypeSystem ts, ARNodeFactory nf) {
		super(job, ts, nf);
	}



	protected Node leaveCall(Node n) throws SemanticException {
		if (n instanceof AspectDecl && Debug.v().refinementFrontentVisitor) {
			System.out.println("found Aspect: "+n);
		}

		return super.leaveCall(n);
	}
	

}
