package abc.ar.weaving.aspectinfo;

import java.util.List;

import polyglot.util.Position;
import abc.weaving.aspectinfo.AdviceDecl;
import abc.weaving.aspectinfo.AdviceSpec;
import abc.weaving.aspectinfo.Aspect;
import abc.weaving.aspectinfo.MethodSig;
import abc.weaving.aspectinfo.Pointcut;

public class NamedAdviceDecl extends AdviceDecl {

	private String name;

	public NamedAdviceDecl(AdviceSpec spec, Pointcut pc, MethodSig impl, Aspect aspct, int jp, int jpsp, int ejp, List methods, Position pos, String name) {
		super(spec, pc, impl, aspct, jp, jpsp, ejp, methods, pos);
		this.name=name;
	}
	
	public String getName(){
		return name;
	}

}
