package abc.ar.weaving.aspectinfo;

import polyglot.util.Position;
import abc.weaving.aspectinfo.AbcType;
import abc.weaving.aspectinfo.AroundAdvice;
import abc.weaving.aspectinfo.MethodSig;

public class NamedAroundAdvice extends AroundAdvice {
	private MethodSig namedAround;

	public NamedAroundAdvice(AbcType rtype, MethodSig proceed, MethodSig namedAround, Position pos) {
		super(rtype, proceed, pos);
		this.namedAround=namedAround;
	}
	
	public MethodSig getNamedAdviceMethodImpl() {
		return namedAround;
	}

}
