package abc.ar.weaving.weaver.around;

import java.util.List;

import soot.SootMethod;
import abc.ar.weaving.aspectinfo.NamedAdviceDecl;
import abc.weaving.aspectinfo.AdviceDecl;
import abc.weaving.matching.AdviceApplication;
import abc.weaving.weaver.around.AdviceApplicationInfo;
import abc.weaving.weaver.around.AdviceMethod;
import abc.weaving.weaver.around.AroundWeaver;
import abc.weaving.weaver.around.ProceedMethod;

public class ARAdviceApplicationInfo extends AdviceApplicationInfo {

	ARAdviceApplicationInfo(AroundWeaver aroundWeaver, ProceedMethod proceedMethod, AdviceApplication adviceAppl,
			SootMethod shadowMethod) {
		super(aroundWeaver, proceedMethod, adviceAppl, shadowMethod);
	}

	protected AdviceMethod newAdviceMethod(AroundWeaver weaver, SootMethod relevantAdviceMethod, AdviceDecl advdecl,
			List sootProceeds2) {
		String adviceName = null;
		if (advdecl instanceof NamedAdviceDecl)
			adviceName = ((NamedAdviceDecl) advdecl).getName();
		ARAdviceMethod r = new ARAdviceMethod(weaver, relevantAdviceMethod, AdviceMethod.getOriginalAdviceFormals(advdecl),
				sootProceeds2, adviceName);
		r.init();
		return r; 
	}
}
